package domain


type AlibabaPosFundCashierShiftSummaryResult struct {
    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        msgCode     */
    MsgCode  *string `json:"msg_code,omitempty" `

    /*
        msgInfo     */
    MsgInfo  *string `json:"msg_info,omitempty" `

    /*
        扩展字段     */
    BizExtMap  *string `json:"biz_ext_map,omitempty" `

    /*
        模型     */
    Model  *[]AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO `json:"model,omitempty" `

}

func (s *AlibabaPosFundCashierShiftSummaryResult) SetSuccess(v bool) *AlibabaPosFundCashierShiftSummaryResult {
    s.Success = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryResult) SetMsgCode(v string) *AlibabaPosFundCashierShiftSummaryResult {
    s.MsgCode = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryResult) SetMsgInfo(v string) *AlibabaPosFundCashierShiftSummaryResult {
    s.MsgInfo = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryResult) SetBizExtMap(v string) *AlibabaPosFundCashierShiftSummaryResult {
    s.BizExtMap = &v
    return s
}
func (s *AlibabaPosFundCashierShiftSummaryResult) SetModel(v []AlibabaPosFundCashierShiftSummaryCashierShiftFundSummaryDTO) *AlibabaPosFundCashierShiftSummaryResult {
    s.Model = &v
    return s
}
